{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/nodes/stats",
  "title": "Node stats requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/nodes/stats/",
  "summary": "Node statistics requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2026-01-30T12:29:26-06:00",
  "children": [
    {
      "id": "operate/rs/references/rest-api/requests/nodes/stats/last",
      "summary": "Most recent node statistics requests",
      "title": "Latest node stats requests",
      "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/nodes/stats/last/"
    }
  ],
  "page_type": "content",
  "content_hash": "04914809bbf00082b97a6f6276f71c398abdee137c85a475283f03946d675722",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "The v1 statistics REST API endpoints are deprecated as of Redis Software version 7.22. Use the [metrics stream engine for monitoring v2](https://redis.io/docs/latest/operate/rs/monitoring/metrics_stream_engine) instead for real-time monitoring and metrics collection.\n\n\n| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-all-nodes-stats) | `/v1/nodes/stats` | Get stats for all nodes |\n| [GET](#get-node-stats) | `/v1/nodes/stats/{uid}` | Get stats for a single node |"
    },
    {
      "id": "get-all-nodes-stats",
      "title": "Get all nodes stats",
      "role": "content",
      "text": "[code example]\n\nGet statistics for all nodes.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_all_nodes_stats](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_all_nodes_stats) |"
    },
    {
      "id": "get-all-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n[code example]\n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### Query parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| interval | string | Time interval for which we want stats: 1sec/10sec/5min/15min/1hour/12hour/1week (optional)  |\n| stime | ISO_8601 | Start time from which we want the stats. Should comply with the [ISO_8601](https://en.wikipedia.org/wiki/ISO_8601) format (optional) |\n| etime | ISO_8601 | End time after which we don't want the stats. Should comply with the [ISO_8601](https://en.wikipedia.org/wiki/ISO_8601) format (optional) |"
    },
    {
      "id": "get-all-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a JSON array of [statistics](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/statistics) for all nodes.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-all-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | No nodes exist |"
    },
    {
      "id": "get-node-stats",
      "title": "Get node stats",
      "role": "content",
      "text": "[code example]\n\nGet statistics for a node.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_node_stats](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_node_stats) |"
    },
    {
      "id": "get-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n[code example]\n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| uid | integer | The unique ID of the node requested. |\n\n#### Query parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| interval | string | Time interval for which we want stats: 1sec/10sec/5min/15min/1hour/12hour/1week (optional) |\n| stime | ISO_8601 | Start time from which we want the stats. Should comply with the [ISO_8601](https://en.wikipedia.org/wiki/ISO_8601) format (optional) |\n| etime | ISO_8601 | End time after which we don't want the stats. Should comply with the [ISO_8601](https://en.wikipedia.org/wiki/ISO_8601) format (optional) |"
    },
    {
      "id": "get-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns [statistics](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/statistics) for the specified node.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Node does not exist |\n| [406 Not Acceptable](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7) | Node isn't currently active |\n| [503 Service Unavailable](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.4) | Node is in recovery state |"
    }
  ],
  "examples": [
    {
      "id": "get-all-nodes-stats-ex0",
      "language": "sh",
      "code": "GET /v1/nodes/stats",
      "section_id": "get-all-nodes-stats"
    },
    {
      "id": "get-all-request-ex0",
      "language": "sh",
      "code": "GET /v1/nodes/stats?interval=1hour&stime=2014-08-28T10:00:00Z",
      "section_id": "get-all-request"
    },
    {
      "id": "get-all-response-ex0",
      "language": "json",
      "code": "[\n  {\n    \"uid\": \"1\",\n    \"intervals\": [\n    {\n      \"interval\": \"1sec\",\n      \"stime\": \"2015-05-28T08:40:11Z\",\n      \"etime\": \"2015-05-28T08:40:12Z\",\n      \"conns\": 0.0,\n      \"cpu_idle\": 0.5499999999883585,\n      \"cpu_system\": 0.03499999999985448,\n      \"cpu_user\": 0.38000000000101863,\n      \"egress_bytes\": 0.0,\n      \"ephemeral_storage_avail\": 2929315840.0,\n      \"ephemeral_storage_free\": 3977830400.0,\n      \"free_memory\": 893485056.0,\n      \"ingress_bytes\": 0.0,\n      \"persistent_storage_avail\": 2929315840.0,\n      \"persistent_storage_free\": 3977830400.0,\n      \"total_req\": 0.0\n    },\n    {\n      \"interval\": \"1sec\",\n      \"stime\": \"2015-05-28T08:40:12Z\",\n      \"etime\": \"2015-05-28T08:40:13Z\",\n      \"cpu_idle\": 1.2,\n      \"// additional fields...\"\n    }\n   ]\n  },\n  {\n    \"uid\": \"2\",\n    \"intervals\": [\n    {\n      \"interval\": \"1sec\",\n      \"stime\": \"2015-05-28T08:40:11Z\",\n      \"etime\": \"2015-05-28T08:40:12Z\",\n      \"conns\": 0.0,\n      \"cpu_idle\": 0.5499999999883585,\n      \"cpu_system\": 0.03499999999985448,\n      \"cpu_user\": 0.38000000000101863,\n      \"egress_bytes\": 0.0,\n      \"ephemeral_storage_avail\": 2929315840.0,\n      \"ephemeral_storage_free\": 3977830400.0,\n      \"free_memory\": 893485056.0,\n      \"ingress_bytes\": 0.0,\n      \"persistent_storage_avail\": 2929315840.0,\n      \"persistent_storage_free\": 3977830400.0,\n      \"total_req\": 0.0\n    },\n    {\n      \"interval\": \"1sec\",\n      \"stime\": \"2015-05-28T08:40:12Z\",\n      \"etime\": \"2015-05-28T08:40:13Z\",\n      \"cpu_idle\": 1.2,\n      \"// additional fields...\"\n    }\n   ]\n  }\n]",
      "section_id": "get-all-response"
    },
    {
      "id": "get-node-stats-ex0",
      "language": "sh",
      "code": "GET /v1/nodes/stats/{int: uid}",
      "section_id": "get-node-stats"
    },
    {
      "id": "get-request-ex0",
      "language": "sh",
      "code": "GET /v1/nodes/stats/1?interval=1hour&stime=2014-08-28T10:00:00Z",
      "section_id": "get-request"
    },
    {
      "id": "get-response-ex0",
      "language": "json",
      "code": "{\n  \"uid\": \"1\",\n  \"intervals\": [\n    {\n      \"interval\": \"1sec\",\n      \"stime\": \"2015-05-28T08:40:11Z\",\n      \"etime\": \"2015-05-28T08:40:12Z\",\n      \"conns\": 0.0,\n      \"cpu_idle\": 0.5499999999883585,\n      \"cpu_system\": 0.03499999999985448,\n      \"cpu_user\": 0.38000000000101863,\n      \"egress_bytes\": 0.0,\n      \"ephemeral_storage_avail\": 2929315840.0,\n      \"ephemeral_storage_free\": 3977830400.0,\n      \"free_memory\": 893485056.0,\n      \"ingress_bytes\": 0.0,\n      \"persistent_storage_avail\": 2929315840.0,\n      \"persistent_storage_free\": 3977830400.0,\n      \"total_req\": 0.0\n    },\n    {\n      \"interval\": \"1sec\",\n      \"stime\": \"2015-05-28T08:40:12Z\",\n      \"etime\": \"2015-05-28T08:40:13Z\",\n      \"cpu_idle\": 1.2,\n      \"// additional fields...\"\n    }\n  ]\n}",
      "section_id": "get-response"
    }
  ]
}
